clear;
//////////////////////////// PARTIE À DÉFINIR /////////////////////////////////////////
M= fscanfMat('surf1_t.dtvide2');
nbc = 1;    // Nbre de composantes de champ dans le fichier
t=([0:5:100]); // les instants de stockage
nbt = length(t);   // Nbre d'instants de stockage
nuc=1       // N° de la composante à visualiser
//nuc = input("n° composante : "); // n° de la composante
nbcouleur = 100;
titre = " Composante EZ, Plan XOY";
label_x = "x, Nb cell"
///////////////////////////////////////////////////////////////////////////////////////

taille = size(M);
nbl = taille(1) / (nbt*nbc);
x = ([0:1:nbl-1]);
y = ([0:1:taille(2)-1]);

offset  = nbl * nbc;
hf1 = scf (1); clf(gcf());
hf1.figure_name = "Carto en temps";
hf1.color_map = jetcolormap (100);
//hf1.pixmap = "on";
//hf1.pixel_drawing_mode = "copy";

  //xset("colormap",hotcolormap(nbcouleur));
//  xset("colormap",jetcolormap(nbcouleur));
  nblegcoul = 10; 

for j =1:nbt,
  nut = j
  imin = (nuc-1)*nbl+1+(nut-1)*offset;
  imax = (nut-1)*offset+nuc*nbl;
  M1 = M(imin:imax,:);
  
  M2 = M1;
  x = 1:1:nbl;
  y = 1:1:taille(2);
  
  valmin = min(M2);
  valmax = max(M2);
  disp(valmin);
  clf(hf1);
  drawlater();
  colorbar(valmin,valmax);
  grayplot(x,y,M2, strf="071", rect=[0 0 nbl taille(2)])
  pc = hf1.children(2);
  pc.x_label.text = "x, Nb cell";
  pc.y_label.text = "y, Nb cell";
  pc.title.text = msprintf('%s, T = %5.1f nS',titre,t(j));
   
  drawnow();

  xpause(1e6);
end;


